curl --request GET \
--url https://api.kajabi.com/v1/contact_notes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "contact_notes",
"attributes": {
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"contact": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Returns a paginated list of contact notes. This endpoint supports filtering, sorting, and pagination.
Sorting:
created_at (default: descending)Filtering:
filter[contact_id] - Filter notes for a specific Contactfilter[site_id] - Filter notes for a specific SitePagination:
page[number] and page[size] parameterscurl --request GET \
--url https://api.kajabi.com/v1/contact_notes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "contact_notes",
"attributes": {
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"contact": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter contact notes for a specific contact by ID
Filter contact notes for a specific site by ID
Sort field. Prefix with '-' for descending order. Available: created_at, updated_at
Page number for pagination
Number of items per page (max 100)
Was this page helpful?